## Using version 4.23.0 version of Hashicorp managed AWS provider.

terraform {
  required_providers {
    aws = {
      source  = "hashicorp/aws"
      version = "~> 5.0"
    }
  }
}

## Reference following document to find ways of authentication - https://registry.terraform.io/providers/hashicorp/aws/latest/docs

provider "aws" {
  region     = var.deployment_region
  access_key = "PASTE-ACCESS-KEY-HERE"
  secret_key = "PASTE-SECRET-KEY-HERE"
}