## Output values for the provisioned Infrastructure, DO NOT UPDATE the outputs here, these are referenced in Base Module.

output "ElasticIPs" {
  value = join(", ", [aws_eip.eip01.public_ip, aws_eip.eip02.public_ip])
}

output "InstanceID" {
  value = aws_instance.infra-instances.id
}

output "external_primary_ip" {
  value = aws_network_interface.external_interface.private_ip
}

output "external_secondary_ip" {
  value = join(", ", tolist(aws_network_interface.external_interface.private_ip_list))
}

output "internal_primary_ip" {
  value = aws_network_interface.internal_interface.private_ip
}

output "internal_secondary_ip" {
  value = join(", ", tolist(aws_network_interface.internal_interface.private_ip_list))
}